### Function Macro

# FwupdPlugin CHECK_VERSION

since: 1.0

#### Declaration [src]

    #define FU_CHECK_VERSION (
      major,
      minor,
      micro
    )

#### Description [src]

Check whether a fwupd version equal to or greater than major.minor.micro.

These compile time macros allow the user to enable parts of client code depending on the version of libfwupd installed.

Available since: 1.0

This function is not directly available to language bindings.

#### Parameters

`major`

  Type: `-`

  Major version number.

`minor`

  Type: `-`

  Minor version number.

`micro`

  Type: `-`

  Micro version number.